de.blau.android/lastbuild 1505

From F-Droid
Revision as of 21:42, 22 October 2020 by Robot (Talk | contribs) (Build log)

Jump to: navigation, search

Installed Android Tools

Build Log

'Build.py failed on server for de.blau.android:15.0.4.0'

detail

== Installed Android Tools ==

2020-10-22 21:36:39,916 INFO: Creating log directory
2020-10-22 21:36:39,917 INFO: Creating temporary directory
2020-10-22 21:36:39,917 INFO: Creating output directory
2020-10-22 21:36:43,030 INFO: Using git version 2.11.0
2020-10-22 21:36:43,031 INFO: Building version 15.0.4.0 (1505) of de.blau.android
2020-10-22 21:36:47,062 INFO: Getting source for revision 15.0.4.0
2020-10-22 21:36:49,769 INFO: Creating local.properties file at build/de.blau.android/local.properties
2020-10-22 21:36:49,807 INFO: Running 'prebuild' commands in build/de.blau.android
2020-10-22 21:36:50,010 INFO: Cleaning Gradle project...
2020-10-22 21:37:26,012 INFO: Scanning source for common problems...
2020-10-22 21:37:26,032 INFO: Removing gradle-wrapper.jar at gradle/wrapper/gradle-wrapper.jar
2020-10-22 21:37:26,052 INFO: Removing ZIP file archive at src/androidTest/resources/fixtures/military.zip
2020-10-22 21:37:26,179 INFO: Ignoring shared library at src/main/assets/synonyms/synonyms.so
2020-10-22 21:37:26,197 INFO: Creating source tarball...
2020-10-22 21:37:30,978 INFO: Building Gradle project...
2020-10-22 21:41:43,502 ERROR: Could not build app de.blau.android: Build failed for de.blau.android:15.0.4.0
==== detail begin ====
Found 5.6.4 via distributionUrl
Running /opt/gradle/versions/5.6.4/bin/gradle assembleCurrentRelease
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/5.6.4/userguide/gradle_daemon.html.
Daemon will be stopped at the end of the build stopping after processing

> Configure project :
WARNING: API 'variant.getAssemble()' is obsolete and has been replaced with 'variant.getAssembleProvider()'.
It will be removed at the end of 2019.
For more information, see https://d.android.com/r/tools/task-configuration-avoidance.
To determine what is calling variant.getAssemble(), use -Pandroid.debug.obsoleteApi=true on the command line to display more information.
WARNING: API 'variant.getJavaCompile()' is obsolete and has been replaced with 'variant.getJavaCompileProvider()'.
It will be removed at the end of 2019.
For more information, see https://d.android.com/r/tools/task-configuration-avoidance.
To determine what is calling variant.getJavaCompile(), use -Pandroid.debug.obsoleteApi=true on the command line to display more information.

> Task :preBuild UP-TO-DATE
> Task :extractProguardFiles
> Task :preCurrentReleaseBuild
> Task :compileCurrentReleaseAidl
> Task :generateCurrentReleaseBuildConfig
> Task :compileCurrentReleaseRenderscript NO-SOURCE
> Task :javaPreCompileCurrentRelease
> Task :mainApkListPersistenceCurrentRelease
> Task :generateCurrentReleaseResValues
> Task :generateCurrentReleaseResources
> Task :createCurrentReleaseCompatibleScreenManifests
> Task :extractDeepLinksCurrentRelease

> Task :processCurrentReleaseManifest
/home/vagrant/build/de.blau.android/src/main/AndroidManifest.xml:39:9-45:51 Warning:
	provider#org.acra.attachment.AcraContentProvider@android:authorities was tagged at AndroidManifest.xml:39 to replace other declarations but no other declaration present

> Task :mergeCurrentReleaseResources
warn: removing resource de.blau.android:string/toast_long_press_simple_mode without required default value.

> Task :processCurrentReleaseResources

> Task :compileCurrentReleaseJavaWithJavac
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

> Task :compileCurrentReleaseSources
> Task :prepareLintJar
> Task :lintVitalCurrentRelease
> Task :mergeCurrentReleaseShaders
> Task :compileCurrentReleaseShaders
> Task :generateCurrentReleaseAssets
> Task :mergeCurrentReleaseAssets
> Task :mergeCurrentReleaseGeneratedProguardFiles
> Task :checkCurrentReleaseDuplicateClasses
> Task :processCurrentReleaseJavaRes
> Task :mergeCurrentReleaseJniLibFolders
> Task :mergeCurrentReleaseNativeLibs
> Task :stripCurrentReleaseDebugSymbols
> Task :mergeCurrentReleaseJavaResource
> Task :minifyCurrentReleaseWithR8

Expiring Daemon because JVM heap space is exhausted
Expiring Daemon because JVM heap space is exhausted
Expiring Daemon because JVM heap space is exhausted
Expiring Daemon because JVM heap space is exhausted
Expiring Daemon because JVM heap space is exhausted
Expiring Daemon because JVM heap space is exhausted

> Task :minifyCurrentReleaseWithR8 FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':minifyCurrentReleaseWithR8'.
> Java heap space

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 6.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/5.6.4/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 4m 11s
25 actionable tasks: 25 executed
==== detail end ====